# api.h File Reference

## Detailed Description

This file contains the API implementation.

`#include "java_bridge.h"`

Go to the source code of this file.

## Functions

short | last_exception_get (INTERNAL_FUNCTION_PARAMETERS)
short | last_exception_clear (INTERNAL_FUNCTION_PARAMETERS)
short | set_file_encoding (INTERNAL_FUNCTION_PARAMETERS)
short | require (INTERNAL_FUNCTION_PARAMETERS)
short | instanceof (INTERNAL_FUNCTION_PARAMETERS)
short | session (INTERNAL_FUNCTION_PARAMETERS)
short | context (INTERNAL_FUNCTION_PARAMETERS)
short | reset (INTERNAL_FUNCTION_PARAMETERS)
short | begin_document (INTERNAL_FUNCTION_PARAMETERS)
short | end_document (INTERNAL_FUNCTION_PARAMETERS)
short | values (INTERNAL_FUNCTION_PARAMETERS)
short | serialize (INTERNAL_FUNCTION_PARAMETERS)
short | deserialize (INTERNAL_FUNCTION_PARAMETERS)
short | get_closure (INTERNAL_FUNCTION_PARAMETERS)
short | inspect (INTERNAL_FUNCTION_PARAMETERS)
short | construct_class (INTERNAL_FUNCTION_PARAMETERS)
short | call (INTERNAL_FUNCTION_PARAMETERS)
short | toString (INTERNAL_FUNCTION_PARAMETERS)
short | set (INTERNAL_FUNCTION_PARAMETERS)
short | get (INTERNAL_FUNCTION_PARAMETERS)
short | offsetExists (INTERNAL_FUNCTION_PARAMETERS)
short | offsetGet (INTERNAL_FUNCTION_PARAMETERS)
short | offsetSet (INTERNAL_FUNCTION_PARAMETERS)
short | offsetUnset (INTERNAL_FUNCTION_PARAMETERS)
short | construct (INTERNAL_FUNCTION_PARAMETERS)